
function [param] = defaultParameters()
    
    % This function gives default values in vector 'vec_param'  
  
    % ------------------------------------------------------------------- %
    param = zeros(7,1);
    param(1) = 10;          % MaxIterOLYMPUS = Number of OLYMPUS iterations
    param(2) = 5;           % MaxIterDE      = Number of DE iterations
    param(3) = 5;           % MaxIterFSTS   = Number of FSTS Method iterations
    param(4) = 0.5;     % F e [0,1]      = DE constant
    param(5) = 0.75;        % Cr e [0,1]     = DE constant 
    param(6) = 1.4;         % m              = fuzziness m >0
    param(7) = 1;           % strategy       = Number  e [1, 4] 
                            %                  (Note:Mutation Scheme
                            %                   [1]: DE-rand-1, 
                            %                   [2]: DE-best-1, 
                            %                   [3]: DE-rand-2, 
                            %                   [4]: DE-best-2 
    % ------------------------------------------------------------------- %
end


